# vim: set ts=4 sw=4 et:

Name:           swfdec
Version:        0.9.2
%define libn    0_9_2
%define libe    0.9
%define soname  2
Release:        3.11
Url:            http://swfdec.freedesktop.org/
BuildRequires:  alsa-devel cairo-devel gstreamer-0_10-plugins-base-devel gstreamer010-devel gtk2-devel liboil-devel libsoup-devel
BuildRequires:  pkgconfig
License:        LGPL v2.1 or later
Group:          Productivity/Multimedia/Other
Summary:        Free Flash Player Library
Source:         http://swfdec.freedesktop.org/download/swfdec/0.9/swfdec-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
swfdec is a free flash player. It is usually embedded into a browser
via the swfdec-mozilla package for instance.

%package -n libswfdec%{libn}
Summary:        Free Flash Player Library
Group:          Productivity/Multimedia/Other
%if 0%{?suse_version} > 1140
Provides:       swfdec = %{version}
%endif

%description -n libswfdec%{libn}
swfdec is a free flash player. It is usually embedded into a browser
via the swfdec-mozilla package for instance.

%package -n libswfdec-devel
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} > 1140
Provides:       swfdec-devel = %{version}
%endif
Summary:        Free Flash Player Library
Requires:       libswfdec%{libn} = %{version}
Requires:       glib2-devel
Requires:       liboil-devel
Requires:       cairo-devel
Requires:       pango-devel
Requires:       gtk2-devel
Requires:       gstreamer010-devel
Requires:       gstreamer-0_10-plugins-base-devel
Requires:       libsoup-devel
Requires:       libpng14-devel
Requires:       atk-devel
%if 0%{?suse_version} > 1130
Requires:       gdk-pixbuf-devel
%endif
Requires:       freetype2-devel
Requires:       fontconfig-devel
Requires:       alsa-devel

%description -n libswfdec-devel
swfdec is a free flash player. It is usually embedded into a browser
via for instance the swfdec-mozilla package.

%prep
%setup -q

%build
# Do it, otherwise it can fail on bi-arch with:
# /usr/lib/lib....so: could not read symbols: File in wrong format
export LDFLAGS=-L%{_libdir}
%configure\
    --enable-gtk \
    --enable-gstreamer \
    --disable-static
# Parallel build does not work: error: jsautocfg.h: No such file or directory
%__make %{?_smp_flags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/gtk-doc/html/swfdec"

%__rm "%{buildroot}%{_libdir}"/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n libswfdec%{libn} -p /sbin/ldconfig
%postun -n libswfdec%{libn} -p /sbin/ldconfig

%files -n libswfdec%{libn}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libswfdec-%{libe}.so.%{soname}
%{_libdir}/libswfdec-%{libe}.so.%{soname}.*
%{_libdir}/libswfdec-gtk-%{libe}.so.%{soname}
%{_libdir}/libswfdec-gtk-%{libe}.so.%{soname}.*

%files -n libswfdec-devel
%defattr(-, root, root)
%{_includedir}/swfdec-*
%{_libdir}/libswfdec-%{libe}.so
%{_libdir}/libswfdec-gtk-%{libe}.so
%{_libdir}/pkgconfig/swfdec-%{libe}.pc
%{_libdir}/pkgconfig/swfdec-gtk-%{libe}.pc

%changelog
* Wed Nov  2 2011 pascal.bleser@opensuse.org
- update to 0.9.2
- renamed shlib package
* Sun Dec 21 2008 meissner@suse.de
- Updated to version 0.8.4 ("H264")
  - support H264, so all Youtube videos play again
  - fix various portability issues for ARM
  - fix rare crash with gotoAndPlay() function
  - fix rare crasher with setTarget() function
  - fix crashes in BitmapData.copyPixels()
  - zero memory before rendering in PulseAudio backend
  - improve Cairo check in testsuite
* Fri Oct 24 2008 meissner@suse.de
- Update to version 0.8.2 ("Gametrailers")
  - fix crash when reading invalid JPEG images
  - fix invalid memory accesses
  - fix deadlock when sound stream had no data
  - fix regression where some files weren't loaded.
  - lots of memory leaks plugged
  - various build fixes/improvements
* Mon Sep 15 2008 meissner@suse.de
- actually package 0.8.0
* Fri Sep 12 2008 maw@suse.de
- Update to version 0.8.0 ("Slide"):
  + rework ActionScript function calls to improve performance
  + increase Flash version Swfdec reports to 9.0.999.0
  + implement flash.geom.Matrix
  + implement various native functions
  + add API to query Swfdec's version
  + lots of correctness fixes
  + lots of bugfixes.
* Wed Aug 20 2008 meissner@suse.de
- Updated to 0.7.4 "Diabloe"
  - support for color transforms,BitmapData objects,
  - speed improvements
  - bug fixes
- Updated to 0.7.2 "Rock You"
  - added ability to enter text in text fields
  - pushing the fullscreen button on Youtube will give you a full screen video
  - most work was spent on the debugging framework and script interpretation conformance
  - see NEWS file for more details
- Icons no longer included.
* Tue Jun 24 2008 meissner@suse.de
- Updated to 0.6.6 "Faith Fighter"
  - fix a crash for palettized images
  - fix a crash for oversized images
  - make ALSA devices work that don't support mmap
* Mon Apr 14 2008 meissner@suse.de
- updated to 0.6.4 "College Humor"
  fix a security problem that allowed remote Flash files to read local files.
  bnc#379047
  fix a rare crash in TextField.replaceText
  fix a rare crash during cleanup
- updated to 0.6.2 "Badger Badger Badger"
  first bugfix release of 0.6.0
* Wed Mar  5 2008 meissner@suse.de
- update to 0.6.0 "Fedora TV"
  Here is the first API/ABI-stable release of Swfdec. Enjoy!
  - support missing plugin installation. GStreamer requirement bumped to 0.10.17
  - lots of improvements to testsuite. It uses plugins now so multiple Flash
    players can be tested.
  - XMLSocket now works
  - rework buffer API
  - lots of bug- and conformance fixes
* Mon Feb  4 2008 ro@suse.de
- update to 0.5.90
  - rename "libswfdec(-gtk)" dir to "swfdec(-gtk)"
  - update libsoup requirement to 2.4
  - rework input API - now has SwfdecStream, SwfdecLoader and SwfdecSocket classes
  - new and improved testsuite
  - completely overhaul security subsystem, invalid access denies should be a
    thing of the past
  - implement flash.geom.Point and flash.geom.Rectangle
  - implement internal parts of ExternalInterface object
  - plug various memory leaks
  - fix lots of internal bugs
  - various portability fixes for embedded and OpenBSD
* Tue Dec 18 2007 meissner@suse.de
- upgraded to 0.5.5
  - lots of new movies and image formats
  - start of security framework
  - plays youtube even better (in the restricted version)
* Wed Nov 14 2007 meissner@suse.de
- upgraded to 0.5.3
  - lots of new features and fixes
- some rpm cleanups
* Tue Apr 17 2007 sbrabec@suse.cz
- Split devel and doc subpackages.
- Support for BUILD_ORIG and BUILD_ORIG_ADDON defines (#237351).
* Thu Mar 29 2007 meissner@suse.de
- Initial import of swfdec-0.4.3. Opensource Flash Player.
  Disabled MAD and FFMPEG support (for now).
